Skip to main content
GET
Get Balance History V2

Authorizations

app-id
string
header
required

A unique identifier assigned to each application.

secret-key
string
header
required

A secure token associated with the app-id.

Query Parameters

from_date
string<date-time>
required

Start date for querying balance history in the format 'YYYY-MM-DDThh:mm:ssZ'. Defaults to UTC timezone.

to_date
string<date-time>
required

End date for querying balance history in the format 'YYYY-MM-DDThh:mm:ssZ'. Defaults to UTC timezone.

cursor
string

Pagination cursor returned as next_cursor in the previous response. Omit this parameter to fetch the first page.

size
integer
default:20

Number of records to return per page.

Response

OK

from_date
string
Example:

"2026-01-01T00:00:00Z"

to_date
string
Example:

"2026-01-31T00:00:00Z"

account_type
enum<string>

The type of the requesting account.

Available options:
aggregated,
dedicated
Example:

"aggregated"

size
integer

Number of records returned per page.

Example:

20

next_cursor
string | null

Cursor to pass as the cursor query parameter to fetch the next page. null when there are no more records.

Example:

"eyJpZCI6ImJsX3BpX3duNFRXaGxYQnJaSyJ9"

has_more
boolean

Whether more records are available after this page.

Example:

true

records
object[]